﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\NCSYS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_NOCODE_CARDCOLLECT') 
 CREATE TABLE T_NOCODE_CARDCOLLECT (
FID BIGINT DEFAULT 0 NOT NULL,
FUSERID BIGINT DEFAULT 0 NOT NULL,
FCARDID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_NOCODE_CARDCONTAINER') 
 CREATE TABLE T_NOCODE_CARDCONTAINER (
FID BIGINT DEFAULT 0 NOT NULL,
FX BIGINT DEFAULT 0 NOT NULL,
FY BIGINT DEFAULT 0 NOT NULL,
FW BIGINT DEFAULT 0 NOT NULL,
FH BIGINT DEFAULT 0 NOT NULL,
FSCHEMAID BIGINT DEFAULT 0 NOT NULL,
FCARDID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_NOCODE_CARDREF') 
 CREATE TABLE T_NOCODE_CARDREF (
FID BIGINT DEFAULT 0 NOT NULL,
FCARDID BIGINT DEFAULT 0 NOT NULL,
FTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FUSERID BIGINT DEFAULT 0 NOT NULL,
FSCHEMAID BIGINT DEFAULT 0 NOT NULL,
FAPPID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFORMID NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_NOCODE_CARDSCHEMA') 
 CREATE TABLE T_NOCODE_CARDSCHEMA (
FID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATER BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFIER BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_NOCODE_EXPORT_RECORD') 
 CREATE TABLE T_NOCODE_EXPORT_RECORD (
FID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FCREATEDATEFIELD DATETIME,
FSTARTTIME DATETIME,
FENDTIME DATETIME,
FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FURLS NCLOB,
FCREATERFIELD BIGINT DEFAULT 0 NOT NULL,
FEXTRA NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_NOCODE_FILTERCONFIG') 
 CREATE TABLE T_NOCODE_FILTERCONFIG (
FID BIGINT DEFAULT 0 NOT NULL,
FAPPID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFORMID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FUSERID BIGINT DEFAULT 0 NOT NULL,
FFILTERROWS NCLOB,
FCREATOR BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFIER BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_NOCODE_LIST_CONFIG') 
 CREATE TABLE T_NOCODE_LIST_CONFIG (
FID BIGINT DEFAULT 0 NOT NULL,
FAPPID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFORMID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FUSERID BIGINT DEFAULT 0 NOT NULL,
FSELECTEDFIELDS NCLOB,
FLOCKEDFIELDS NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_NOCODE_PAGEINFO') 
 CREATE TABLE T_NOCODE_PAGEINFO (
FID BIGINT DEFAULT 0 NOT NULL,
FAPPID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFORMID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FUSERID BIGINT DEFAULT 0 NOT NULL,
FPAGESIZE BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_NOCODE_STAT_CARD') 
 CREATE TABLE T_NOCODE_STAT_CARD (
FID BIGINT DEFAULT 0 NOT NULL,
FAPPID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFORMID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FUSERID BIGINT DEFAULT 0 NOT NULL,
FCONFIG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_NOCODE_STATCONFIG') 
 CREATE TABLE T_NOCODE_STATCONFIG (
FID BIGINT DEFAULT 0 NOT NULL,
FAPPID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFORMID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FUSERID BIGINT DEFAULT 0 NOT NULL,
FSTATINFO NCLOB,
FCREATOR BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFIER BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_NOCODE_TEMPLATE_CONFIG') 
 CREATE TABLE T_NOCODE_TEMPLATE_CONFIG (
FID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FIMAGE NVARCHAR(200) DEFAULT ' ' NOT NULL,
FDESC NVARCHAR(200) DEFAULT ' ' NOT NULL,
FAPPID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFORMID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCEID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATEDATEFIELD DATETIME,
FCREATERFIELD BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_NOCODE_CARD') 
 CREATE TABLE T_NOCODE_CARD (
FID BIGINT DEFAULT 0 NOT NULL,
FTITLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCONFIG NCLOB,
FDELETED CHAR(1) DEFAULT '0' NOT NULL,
FAPP NVARCHAR(36) DEFAULT ' ' NOT NULL,
FFORM NVARCHAR(36) DEFAULT ' ' NOT NULL,
FIMAGE NVARCHAR(500) DEFAULT ' ' NOT NULL,
FCREATER BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFIER BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_NOCODE_TDOMAINS') 
 CREATE TABLE T_NOCODE_TDOMAINS (
FID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_NOCODE_TTRADES') 
 CREATE TABLE T_NOCODE_TTRADES (
FID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_NOCODE_USERLOG') 
 CREATE TABLE T_NOCODE_USERLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FUSERID BIGINT DEFAULT 0 NOT NULL,
FEVENTTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEXTRAINFO NCLOB,
FOPTIME DATETIME
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\NCSYS_table.sql **/
